@import '../../styles/application.scss';

.searchBarWrapper {
  width: 100%;
  @include desktop {
    position: relative;
    width: 50%;
  }

  .searchBar {
    padding: 4px 10px;
    width: 100%;
    margin-right: 20px;
    border: 2px solid $lightBorder;
    border-radius: $radius;
    &:focus-visible,
    &:active {
      outline: none;
      border: 2px solid $darkBorder;
    }
  }

  .resultsContainer {
    @include desktop {
      width: 100%;
    }
    @include flex(column, flex-start, flex-start);
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border-radius: $radius;
    margin-top: 2px;
    position: absolute;
    max-height: 500px;
    width: calc(100% - 32px);
    overflow: hidden;
    overflow-y: auto;
    cursor: pointer;
    z-index: 2;
    background: $primaryWhite;

    a {
      width: 100%;
      padding: 6px;
      &:hover {
        background-color: $pink;
      }
      img {
        width: 75px;
        margin-right: 20px;
        border-radius: $radius;
      }
    }
  }
}
